POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "e2b1f713-0b7c-4965-8c16-b8464505dfc8",
"program_id": "69d32866-8986-453d-83af-981972472e28",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "c4993b41-68c8-4b05-bd43-7456299ddcc5",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>e2b1f713-0b7c-4965-8c16-b8464505dfc8</id> <medistream_program_step_type_id>c4993b41-68c8-4b05-bd43-7456299ddcc5</medistream_program_step_type_id> <name>sample string 4</name> <program_id>69d32866-8986-453d-83af-981972472e28</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"94e353bf-cb81-4e62-ba3e-03b99420d592"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">94e353bf-cb81-4e62-ba3e-03b99420d592</guid>